spandsp 0.0.6

lpc10_encode_state_s Struct Reference

`#include <lpc10.h>`

## Public Attributes
int | error_correction
| ???
float | z11
| ???
float | z21
| ???
float | z12
| ???
float | z22
| ???
float | inbuf [LPC10_SAMPLES_PER_FRAME *3]
| ???
float | pebuf [LPC10_SAMPLES_PER_FRAME *3]
| ???
float | lpbuf [696]
| ???
float | ivbuf [312]
| ???
float | bias
| ???
int32_t | osbuf [10]
| No initial value necessary.
int32_t | osptr
| Initial value 1.
int32_t | obound [3]
| ???
int32_t | vwin [3][2]
| Initial value vwin[2][0] = 307; vwin[2][1] = 462;.
int32_t | awin [3][2]
| Initial value awin[2][0] = 307; awin[2][1] = 462;.
int32_t | voibuf [4][2]
| ???
float | rmsbuf [3]
| ???
float | rcbuf [3][10]
| ???
float | zpre
| ???
float | n
| ???
float | d__
| Initial value 1.0f.
float | fpc
| No initial value necessary.
float | l2buf [16]
| ???
float | l2sum1
| ???
int32_t | l2ptr1
| Initial value 1.
int32_t | l2ptr2
| Initial value 9.
int32_t | lasti
| No initial value necessary.
int | hyst
| Initial value FALSE.
float | dither
| Initial value 20.0f.
float | snr
| ???
float | maxmin
| ???
float | voice [3][2]
| Initial value is probably unnecessary.
int32_t | lbve
| ???
int32_t | lbue
| ???
int32_t | fbve
| ???
int32_t | fbue
| ???
int32_t | ofbue
| ???
int32_t | sfbue
| ???
int32_t | olbue
| ???
int32_t | slbue
| ???
float | s [60]
| ???
int32_t | p [2][60]
| ???
int32_t | ipoint
| ???
float | alphax
| ???
int32_t | isync
| ???

## Detailed Description

LPC10 codec encoder state descriptor. This defines the state of a single working instance of the LPC10 encoder.

The documentation for this struct was generated from the following file:

- private/lpc10.h